<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Attributes_Edit_Tab_Main extends Mage_Adminhtml_Block_Widget_Form
{
	
	
    protected function _prepareForm()
    {
        
        $form = new Varien_Data_Form();
        
        if(Mage::registry('kupindo_custom_attribute')){
        	$item = Mage::registry('kupindo_custom_attribute');
        }else{
        	$item = new Varien_Object();
        }
        
        $this->setForm($form);
        $fieldset = $form->addFieldset('main_fieldset', array('legend' => $this->__('Attribute Information')));
     	
     	$fieldset->addField('type', 'hidden', array(
            'name'      => 'type',
        ));
        
        $fieldset->addField('code', 'text', array(
            'name'      => 'code',
            'label'     => $this->__('Dynamic Attribute Code'),
            'title'     => $this->__('Dynamic Attribute Code'),
            'required'  => true,
            'class'		=> 'validate-code',
            'note'		=> $this->__('For internal use. Must be unique with no spaces'),
        ));
        
    	$fieldset->addField('name', 'text', array(
            'name'      => 'name',
            'label'     => $this->__('Name'),
            'title'     => $this->__('Name'),
            'required'  => true,
            'note'		=>$this->__('e.g. "Custom Price", "Google Category"...')
        ));
        
        if(!$item->getType() && $this->getRequest()->getParam('type')){
        	$item->setType($this->getRequest()->getParam('type'));
        }
        
        if($item->getId()){
        
        	$form->setValues($item->getData());
        
        }
        
        
        return parent::_prepareForm();
        
    }
    
  
}