<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Config_Form_Field_Config extends Mage_Adminhtml_Block_System_Config_Form_Field_Array_Abstract
{
	
	protected $_renders = array();
	
    public function __construct(){
  
        $layout = Mage::app()->getFrontController()->getAction()->getLayout();
        
        $renderer = $layout->createBlock('kupindo_feed/adminhtml_config_form_renderer_type', '',
                							array('is_render_to_js_template' => true));
        $renderer->setOptions(Mage::getModel('kupindo_feed/adminhtml_config_form_renderer_type')->toOptionArray());
        $this->addColumn('type', array(
            'label' => Mage::helper('kupindo_feed')->__('Type'),
            'style' => 'width:120px',
        	'renderer' => $renderer
        ));
        $this->_renders['type'] = $renderer;
        
 
        

        $renderer = $layout->createBlock('kupindo_feed/adminhtml_config_form_renderer_value', '',
                							array('is_render_to_js_template' => true));
        $renderer->setOptions(Mage::getModel('kupindo_feed/adminhtml_config_form_renderer_value')->toOptionArray());
        $this->addColumn('value', array(
                'label' => Mage::helper('kupindo_feed')->__('Value'),
                'style' => 'width:145px;',
                'renderer' => $renderer,

            ));   
 
    
        
        $this->_renders['value'] = $renderer;
        
      
        $renderer = $layout->createBlock('kupindo_feed/adminhtml_config_form_renderer_action', '',
                							array('is_render_to_js_template' => true));                
        $renderer->setOptions(Mage::getModel('kupindo_feed/adminhtml_config_form_renderer_action')->toOptionArray());
        $this->addColumn('action', array(
            'label' => Mage::helper('kupindo_feed')->__('Action'),
            'style' => 'width:145px',
        	'renderer' => $renderer
        ));
        $this->_renders['action'] = $renderer;        
        
      
         $this->addColumn('input_code', array(
            'label' => Mage::helper('kupindo_feed')->__('code'),
            'style' => 'width:45px'
        
        ));
        $this->_renders['input_code'] = $renderer;  
        
                
        $this->_addAfter = false;  
      

        if (!$this->getTemplate()) {
            $this->setTemplate('kupindo/feed/system/config/form/field/config.phtml');
        }
      
    }
    
  protected function _prepareArrayRow(Varien_Object $row){
    	
    	foreach ($this->_renders as $key => $render){
	        $row->setData(
	            'option_extra_attr_' . $render->calcOptionHash($row->getData($key)),
	            'selected="selected"'
	        );
    	}
    } 
  

}
