<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Block_Adminhtml_Items_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct(){
    	
        parent::__construct();
                 
        $this->_objectId = 'id';
        $this->_blockGroup = 'kupindo_feed';
        $this->_controller = 'adminhtml_items';
        
        $this->_updateButton('save', 'label', $this->__('Save'));
        $this->_updateButton('delete', 'label', $this->__('Delete'));
		
		$feed = Mage::registry('kupindo_feed');
		
		if($feed && $feed->getId() > 0){
			
			$this->_addButton('generate', array(
				'id' 		=> 'kupindo_feed_generate',
	            'label'     => $this->__('Generate File'),				
	            'onclick'   => 'KupindoFeedGenerator.generate()',
	        ), -100);
	        
	        $this->_addButton('stop', array(
	        	'id' 		=> 'kupindo_feed_stop',
	            'label'     => $this->__('Stop'),	        	
	            'onclick'   => 'KupindoFeedGenerator.stopped()',
	        	'class'		=> 'delete',
	        	'style'		=> 'display:none;'
	        ), -100);
	        
	        if($feed->getFtpActive()){
	        
		        $this->_addButton('upload', array(
		            'label'     => $this->__('Upload File'),
		            'onclick'   => 'setLocation(\''.$this->getUrl('*/*/upload', array('id'=>$feed->getId())).'\')',
		        ), -100);
		        
	        }
        
        }
		
        $this->_addButton('saveandcontinue', array(
            'label'     => $this->__('Save And Continue Edit'),
            'onclick'   => 'saveAndContinueEdit()',
            'class'     => 'save',
        ), -100);
        
        $_data = array();
        $_data['data'] = Mage::helper('kupindo_feed')->getSystemSections(); 
        $_data['url'] = $this->getUrl('*/*/mappingimportsection', array('id'=>($feed && $feed->getId() ? $feed->getId() : 0)));
        
        $_generator_data = array(
        	'feed_id' => ($feed && $feed->getId() ? $feed->getId() : 0),
        	'generate_url' => $this->getUrl('kupindo_feed/index/generate'),
            'info_url' => $this->getUrl('*/*/processInfo'),    	
        );        
        
        $this->_formScripts[] = "
            function saveAndContinueEdit(){
                editForm.submit($('edit_form').action+'back/edit/');
            }            
            var KupindoFeedAdmin = new KupindoFeedAdminSettings(" . Zend_Json::encode($_data) . ");            
            var KupindoFeedGenerator = new KupindoFeedGeneratorClass(" . Zend_Json::encode($_generator_data) . ");
        ";
        
        if ($this->getRequest()->getActionName() == 'new' &&
        	!$this->getRequest()->getParam('type')){
        	$this->removeButton('save');
        	$this->removeButton('saveandcontinue');
        }
        
    }
    
    public function getHeaderText(){
    	
        if( Mage::registry('kupindo_feed') && Mage::registry('kupindo_feed')->getId() ) {
            return $this->__("Edit %s", $this->htmlEscape(Mage::registry('kupindo_feed')->getName()));
        } else {
            return $this->__('Add Item');
        }
    }
}