<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 
 
class Kupindo_Feed_Helper_Data extends Mage_Core_Helper_Abstract {
    public function getConfigData($node) {
        return Mage::getStoreConfig('kupindo_feed/' . $node);
    }
    public function getAllStoreDomains() {
        $domains = array();
        foreach (Mage::app()->getWebsites() as $website) {
            $url = $website->getConfig('web/unsecure/base_url');
            if ($domain = trim(preg_replace('/^.*?\/\/(.*)?\//', '$1', $url))) {
                $domains[] = $domain;
            }
            $url = $website->getConfig('web/secure/base_url');
            if ($domain = trim(preg_replace('/^.*?\/\/(.*)?\//', '$1', $url))) {
                $domains[] = $domain;
            }
        }
        return array_unique($domains);
    }
    public function getAvailabelWebsites() {
		$allsites = array();
		foreach (Mage::app()->getWebsites() as $website) {
			$allsites[]  = $website->getId();
		}	
		return $allsites;
        // return $this->_w();
    }

    public function getAvailavelWebsites() {
		$allsites = array();
		foreach (Mage::app()->getWebsites() as $website) {
			$allsites[]  = $website->getId();
		}	
		return $allsites;
        // return $this->_w();
    }

    public function getSystemSections() {
        $data = array();
        $fileDir = Mage::getBaseDir('media') . DS . 'kupindoliste' . DS . 'examples';
        if (is_dir($fileDir) && $handle = opendir($fileDir)) {
            while (false !== ($dir = readdir($handle))) {
                if ($dir != '.' && $dir != '..') {
                    if (is_dir($fileDir . DS . $dir) && ($sub_handle = opendir($fileDir . DS . $dir))) {
                        $data[$dir] = array();
                        while (false !== ($file = readdir($sub_handle))) {
                            if ($file != '.' && $file != '..') {
                                $data[$dir][] = $file;
                            }
                        }
                        closedir($sub_handle);
                    }
                }
            }
            closedir($handle);
        }
        return $data;
    }
    public function getIsAnymoreVersion($major, $minor, $revision = 0) {
        $version_info = Mage::getVersion();
        $version_info = explode('.', $version_info);
        if ($version_info[0] > $major) {
            return true;
        } elseif ($version_info[0] == $major) {
            if ($version_info[1] > $minor) {
                return true;
            } elseif ($version_info[1] == $minor) {
                if ($version_info[2] >= $revision) {
                    return true;
                } else {
                    return false;
                }
            } else {
                return false;
            }
        } else {
            return false;
        }
    }
    public function notify() {
        $frequency = intval(Mage::app()->loadCache('kupindo_notifications_frequency'));
        if (!$frequency) {
            $frequency = 24;
        }
        $last_update = intval(Mage::app()->loadCache('kupindo_notifications_last_update'));
        if (($frequency * 60 * 60 + $last_update) > time()) {
            return false;
        }
        $timestamp = $last_update;
        if (!$timestamp) {
            $timestamp = time();
        }
        Mage::app()->saveCache(time(), 'kupindo_notifications_last_update');
    }
}
?>