<?php
/**     
 * Smdesign Studio
 *
 * Kupindo Products Feed
 * @category       Smdesign Studio
 * @copyright      Copyright (c) 2018 Kupindo (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/kupindo-integracija
 * @terms of use   http://www.smdesign.rs/kupindo-integracija
 * @version        Release: 1.0
 * @since          Class available since Release 1.0
 */ 

class Kupindo_Feed_Model_Item_Block_Category extends Kupindo_Feed_Model_Item_Block {
	
	public function setVars($content = null, $dataObject = null, $remove_empty = false) {
		
		$category = Mage::getModel('catalog/category');
		$parent = $this->getFeed()->getRootCategory()->getId();
		$recursionLevel  = max(0, (int) $this->getFeed()->getStore()->getConfig('catalog/navigation/max_depth'));		
		$categories = $category->getCategories($parent, $recursionLevel, true, true, true);
				
		$contents = array();
		
		foreach ($categories as $category) {			
			if ($category->getLevel() > 1) {				
				$contents[] = parent::setVars($content, $category);			
			}		
		}
		
		return implode("\r\n", $contents);
	
	}

}