<?php

/**
 * Smdesign Studio
 *
 * Kupindo Product Feed
 *
 * @category     Extension
 * @copyright      Copyright (c) 2010-2018 Smdesign Studio (http://www.smdesign.rs/)
 * @author         Smdesign Studio
 * @license        http://www.smdesign.rs/
 * @terms of use 	http://www.smdesign.rs/
 * @version      Release: 3.6
 * @since        Class available since Release 3.6
 */
class Kupindo_Feed_Adminhtml_Kupindo_Feed_AmazonController extends Mage_Adminhtml_Controller_Action
{

    protected function _isAllowed()
    {
        return Mage::getSingleton('admin/session')->isAllowed('system/config/kupindo_feedpro');
    }

    public function generatecodeAction()
    {
        $session = Mage::getSingleton('adminhtml/session');
        $error   = false;
        $code_id = $this->getRequest()->getParam('code_id');
        $amazon  = Mage::getModel('kupindo_feed/amazon');
        $data    = Mage::getStoreConfig('kupindo_feedpro/amazon/config');
        $array   = @unserialize($data);

        foreach ($array as $key => $val) {
            if ($key == $code_id) {
                if ($val['type'] == 1) {
                    $type = $val['input_code'];
                    $name = $val['value'];
                }
                if ($val['type'] == 0) {
                    if ($val['value'] == '') {
                        $error = true;
                        $session->addError(Mage::helper('kupindo_feed')->__('Value empty!'));
                    } else {
                        $name = str_replace(' ', '_', $val['value']);
                        $type = $val['input_code'];
                        $amazon->createAttribute($val['value'], $name);
                        $array[$key]['type'] = 1;
                        $amazon->saveConfig($array);
                    }
                }

                if ($error == false) {
                    if ($type && $name) {
                        $amazon->codeGenerationItem($name, $type, $val['action']);
                        $session->addSuccess(Mage::helper('kupindo_feed')->__('Codes %s have been generated.', strtoupper($type)));
                    } else {
                        $session->addError(Mage::helper('kupindo_feed')->__('Type or value of the attribute is not defined.'));
                    }
                }
            }
        }


        return $this->getResponse()->setBody(Zend_Json::encode($error));
    }

}